﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Media.Imaging;
using System.Xml.Linq;

namespace AnimationCreator.Utilities
{
	/// <summary>
	/// A data container class to store the result of a texture creation.
	/// </summary>
	public class TextureResult
	{
		public int TextureWidth
		{
			get
			{
				return Texture.PixelWidth;
			}
		}

		public int TextureHeight
		{
			get
			{
				return Texture.PixelHeight;
			}
		}

		public WriteableBitmap Texture
		{
			get;
			set;
		}

		public XDocument Description
		{
			get;
			set;
		}
	}
}
